{% extends '::base_admin.html.twig' %}
{% block body %}
<div class="content">
  <div class="content-fluid">
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="header">
            <h4 class="title">Alertes</h4>
          </div>
          <div class="content table-responsive table-full-width">
            <table class="table table-striped">
              <thead>
                <tr>
                  <th>ID</th>
                  <th>Photo</th>
                  <th>Lieu</th>
                  <th>Auteur</th>
                  <th>Date</th>
                  <th>Description</th>
                  <th>Coords.</th>
                  <th>Etat</th>
                  <th>Campagne</th>
                  <th>Commentaire</th>
                  <th>Action</th>
                </tr>
              </thead>
              <tbody>
                {% for a in alertes %}
                <tr>
                  <td>{{loop.index}}</td>
                  <td>{% if a.photo %}<img src="{{asset(a.photo.webPath)}}" style="width: 50px"/>{% endif %}</td>
                  <td>
                    {% if a.ville %}
                    {{a.ville.libelle}}
                    {% endif %}
                    {% if a.quartier %}
                    ({{a.quartier.libelle}} )
                    {% endif %}
                  </td>
                  <td>{{a.particulier.nom}} {{a.particulier.prenom}}</td>
                  <td>{{a.date|date('d-m-Y à H:i:s')}}</td>
                  <td>{{a.description}}</td>
                  <td>
                    {{a.lat|number_format(5, '.', ',')}} <br/>
                     {{a.lon|number_format(5, '.', ',')}}</td>
                  <td>{% if a.actif %}Visible{% else %}Non visible {% endif %}</td>
                  <td>{% if a.campagneCreer %}Oui{% else %}Non  {% endif %}</td>
                  <td>{{a.nbreCommentaire}}</td>
                  <td>-</td>
                </tr>
                {% endfor %}
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
{% endblock %}
